#! /usr/bin/env python3
# -*- coding: utf-8 -*-
from sparkdesk_web.core import SparkWeb
import re

class XinghuoWeb:
    def __init__(self, xhconf=None) -> None:

        self._sparkWeb = SparkWeb(
            cookie=xhconf["cookie"],
            fd=xhconf["fd"],
            GtToken=xhconf["GtToken"],
        )
        self._chat = self._sparkWeb.create_continuous_chat()
        # 如果有提示词
        if xhconf["prompt"]:
            self._chat.chat(xhconf["prompt"])

    def __repr__(self):
        return 'XinghuoWeb'

    @staticmethod
    def value_check(conf: dict) -> bool:
        if conf:
            return all(conf.values())
        return False

    def get_answer(self, msg: str, sender: str = None) -> str:
        answer = self._chat.chat(msg)
        answer = re.sub(r'```.*?```', '', answer, flags=re.DOTALL)
        answer = re.sub(r'^\s*$\n', '', answer, flags=re.MULTILINE)
        return answer


if __name__ == "__main__":
    from configuration import Config
    c = Config()
    xinghuo = XinghuoWeb(c.XINGHUO_WEB)
    question = "请根据新闻标题，按照新闻的类型（财经、彩票、房产、股票、家居、教育、科技、社会、时尚、时政、体育、星座、游戏、娱乐）进行分类；内容前加入当前日期和星期几" \
                "内容格式如下：" \
                "### 分类1" \
                "1.#标题1" \
                "2.#标题2" \
                "分类之间使用--号进行分割，无内容则忽略该分组" \
        "当前日期：2024年12月16日  星期一" \
        "1. 标题: 安徽监狱回应李铁可否在监狱踢球" \
        "2. 标题: 董明珠问雷军：你给股民分了多少钱？" \
        "3. 标题: 学习贯彻中央经济工作会议精神" \
        "4. 标题: 网曝阿娇知三当三" \
        "5. 标题: 当我用人民币感受台湾物价" \
        "6. 标题: 男子坐轮椅在高速疾驰" \
        "7. 标题: 刘亦菲陈金飞酒店聚餐" \
        "8. 标题: 冷冷冷冷冷你冷冷冷冷冷" \
        "9. 标题: 男生表演引体向上手滑摔到女生怀里" \
        "10. 标题: 74岁斯琴高娃自曝近况" \
        "11. 标题: 12岁女孩感染HPV 17岁男友被抓" \
        "12. 标题: 高校女生被殴打需植入钢钉？谣言" \
        "13. 标题: 东京将启动上四休三工作制" \
        "14. 标题: 张杰谢娜回应婚变传闻" \
        "15. 标题: 董明珠：小米空调因侵权赔了格力50万" \
        "16. 标题: 汪峰女友森林北晒近况" \
        "17. 标题: 实习生一句小姨让同事汗流浃背" \
        "18. 标题: 日本女学生在麦当劳被捅致死" \
        "19. 标题: 女生用绳子编出五脏六腑" \
        "20. 标题: 带南方女婿吃东北农村大席" \
        "21. 标题: 俄乌均证实朝军已参与作战" \
        "22. 标题: 孙颖莎带着三个保镖开心下班" \
        "23. 标题: 宋佳素颜拍戏好沧桑啊" \
        "24. 标题: 2岁半宝宝“呲溜滑”超快乐" \
        "25. 标题: 央视曝光先享后付套路多" \
        "26. 标题: #阜阳赶大集太香了吧#" \
        "27. 标题: 孟子义的面具焊在脸上了" \
        "28. 标题: 福建一高中生被美国藤校录取" \
        "29. 标题: 2岁社牛女孩跟满屋小朋友搭话" \
        "30. 标题: 王安宇 人怎么能丢这么大的脸" \
        "31. 标题: 被挡在村规民约外的“外嫁女”" \
        "32. 标题: 粉尘爆炸致8死8伤 官方公布调查报告" \
        "33. 标题: 游客在广东发现一窝6枚恐龙蛋化石" \
        "34. 标题: 胖东来回应微信小程序的官方店铺" \
        "35. 标题: 张柏芝把博物馆展品戴在身上" \
        "36. 标题: 长沙一大桥下浮尸已打捞身份待确认" \
        "37. 标题: 陈都灵终于演上一整部剧的女妖了" \
        "38. 标题: 网上下载公开信息发给间谍换钱" \
        "39. 标题: 7岁异瞳女孩在学校受到同学喜爱" \
        "40. 标题: 男子面试遭猥亵后发声竟遭网暴" \
        "41. 标题: 乌女权示威者裸上身破坏纪念雕塑" \
        "42. 标题: 王宝强喊话甄子丹一起打坏人" \
        "43. 标题: 记者卧底非法屠宰场内部极度脏乱" \
        "44. 标题: 印度一教师遭绑架强迫结婚" \
        "45. 标题: 媒体人：高拉特在中国拿了5亿元" \
        "46. 标题: 导演回应53岁的于和伟演大学生" \
        "47. 标题: 山姆销售的床笠甲醛超标被罚" \
        "48. 标题: 留学回国人才纳入国家统一就业体系" \
        "49. 标题: 张家界长满了韩国人" \
        "50. 标题: 圆通快递回应装车工因热射病去世"
    rsp = xinghuo.get_answer(question)

    print(rsp)
